Skip to main content
GET
/
ai
/
actor-project-threads
/
{thread_id}
/
messages
List thread messages
curl --request GET \
  --url https://api.wacht.dev/ai/actor-project-threads/{thread_id}/messages \
  --header 'Authorization: <api-key>'
{
  "data": [
    {
      "id": "<string>",
      "thread_id": "<string>",
      "execution_run_id": "<string>",
      "timestamp": "2023-11-07T05:31:56Z",
      "content": {},
      "message_type": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "metadata": {}
    }
  ],
  "has_more": true
}

Authorizations

Authorization
string
header
required

Path Parameters

thread_id
string
required

Query Parameters

limit
integer
default:50
before_id
string
after_id
string

Response

200 - application/json

Thread messages

data
object[]
has_more
boolean